per_page and cursor query parameters to step through large collections page by page.
Requests
Requests to paginated “list” endpoints accept the following query parameters:Responses
All requests to those paginated “list” endpoints have the following response properties:
Example Response:
Workflow
-
Make a request to the “list” endpoint without the
cursorquery parameter to fetch the first page of resources. Optionally use theper_pagequery parameter to limit the number of resources to fetch. Example:GET https://api.procuros.io/v2/transactions -
From the response, read the
hasMoreproperty to determine if there are more resources to fetch on subsequent pages. -
If more resources are available, use the
nextCursorproperty on the response to build the URL of your next request. Alternatively, use thenextPageUrlthat we’ve prebuilt for you. Example:GET https://api.procuros.io/v2/transactions?cursor=kdfhh87sdkfjslasdf7hsbadf - Continue with step 2.